IntCharSet

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class IntCharSet

    java.lang.Object
      weka.core.parser.JFlex.IntCharSet

    public final class IntCharSet

extends java.lang.Object

CharSet implemented with intervalls [fixme: optimizations possible]

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein

Constructor Summary
`IntCharSet()`
`IntCharSet(char c)`
`IntCharSet(Interval intervall)`
`IntCharSet(java.util.Vector chars)`

Method Summary
`void` | `add(char c)`
`IntCharSet` | `add(IntCharSet set)`
`void` | `add(Interval intervall)`
`IntCharSet` | `and(IntCharSet set)`
`boolean` | `contains(char singleChar)`
`boolean` | `containsElements()`
`IntCharSet` | `copy()` Return a (deep) copy of this char set
`boolean` | `equals(java.lang.Object o)` o instanceof Interval
`IntCharSet` | `getCaseless()` Create a caseless version of this charset.
`Interval` | `getNext()`
`int` | `numIntervalls()`
`void` | `sub(IntCharSet set)`
`java.lang.String` | `toString()` Make a string representation of this char set.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntCharSet

    public IntCharSet()

### IntCharSet

    public IntCharSet(char c)

### IntCharSet

    public IntCharSet(Interval intervall)

### IntCharSet

    public IntCharSet(java.util.Vector chars)

Method Detail

### add

    public IntCharSet add(IntCharSet set)

### add

    public void add(Interval intervall)

### add

    public void add(char c)

### contains

    public boolean contains(char singleChar)

### equals

    public boolean equals(java.lang.Object o)

  o instanceof Interval

  Overrides:
    `equals` in class `java.lang.Object`

### and

    public IntCharSet and(IntCharSet set)

### sub

    public void sub(IntCharSet set)

### containsElements

    public boolean containsElements()

### numIntervalls

    public int numIntervalls()

### getNext

    public Interval getNext()

### getCaseless

    public IntCharSet getCaseless()

  Create a caseless version of this charset.

  The caseless version contains all characters of this char set, and additionally all lower/upper/title case variants of the characters in this set.

  Returns:
    a caseless copy of this set

### toString

    public java.lang.String toString()

  Make a string representation of this char set.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing this char set.

### copy

    public IntCharSet copy()

  Return a (deep) copy of this char set

  Returns:
    the copy

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD